VelocityServletTest.MockServletConfig (Velocity 1.4 API)
Keywords: org.apache.velocity.test.VelocityServletTest.MockServletConfig class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.velocity.test
Class VelocityServletTest.MockServletConfig

    java.lang.Object
      org.apache.velocity.test.VelocityServletTest.MockServletConfig

All Implemented Interfaces:
  javax.servlet.ServletConfig

Enclosing class:
  VelocityServletTest

static class VelocityServletTest.MockServletConfig
extends java.lang.Object
implements javax.servlet.ServletConfig

Constructor Summary
`(package private)` | `VelocityServletTest.MockServletConfig()`

Method Summary
`java.lang.String` | `getInitParameter(java.lang.String ignored)`
`java.util.Enumeration` | `getInitParameterNames()`
`javax.servlet.ServletContext` | `getServletContext()`
`java.lang.String` | `getServletName()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VelocityServletTest.MockServletConfig

    VelocityServletTest.MockServletConfig()

Method Detail

### getInitParameter

    public java.lang.String getInitParameter(java.lang.String ignored)

  Specified by:
    `getInitParameter` in interface `javax.servlet.ServletConfig`

### getInitParameterNames

    public java.util.Enumeration getInitParameterNames()

  Specified by:
    `getInitParameterNames` in interface `javax.servlet.ServletConfig`

### getServletContext

    public javax.servlet.ServletContext getServletContext()

  Specified by:
    `getServletContext` in interface `javax.servlet.ServletConfig`

### getServletName

    public java.lang.String getServletName()

  Specified by:
    `getServletName` in interface `javax.servlet.ServletConfig`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache Software Foundation. All Rights Reserved.